const express = require("express");
const route = express.Router();
const controller = require("../Controller/Category");
const { protect } = require("../Middleware/auth");
const multer = require("multer");
const moment = require("moment");
var storage = multer.diskStorage({
    destination: function (req, file, cb) {
        if (file.fieldname == "photo") cb(null, "uploads/item_category/tmp_post");
    },

    filename: function (req, file, cb) {
        cb(
            null,
            moment(Date.now()).format("YYYY-MM-DD_HH-mm-ss_") + file.originalname
        );
    },
});
var upload = multer({ storage: storage });

route.route("/").get(protect, controller.getAllBrand);
route.route("/").post(protect, upload.fields([{ name: "photo", maxCount: 1 }]), controller.createBrand);

route.route("/category_detail").get(protect, controller.getAllCategory);


route.route("/category_detail").post(protect, upload.fields([{ name: "photo", maxCount: 1 }]), controller.createCategoryDetail);

module.exports = route;