const express = require('express')
const route = express.Router()
const controller = require("../Controller/Items")
const { protect } = require("../Middleware/auth")

const multer = require("multer");
const moment = require("moment");
var storage = multer.diskStorage({
    destination: function (req, file, cb) {
        if (file.fieldname == "item_image") cb(null, "uploads/item/tmp_post");
    },

    filename: function (req, file, cb) {
        cb(
            null,
            moment(Date.now()).format("YYYY-MM-DD_HH-mm-ss_") + file.originalname
        );
    },
});

var upload = multer({ storage: storage });

route.route("/").get(protect, controller.getAllItemsByStore)

route.route("/").post(upload.single("item_image"), protect, controller.createItemByStore)

route.route("/checkExistItem").post(protect, controller.checkIfItemExist)

module.exports = route; 